<?php

class Waindigo_LastPostAvatar_Extend_XenForo_Model_ThreadWatch extends XFCP_Waindigo_LastPostAvatar_Extend_XenForo_Model_ThreadWatch
{

    public function getThreadsWatchedByUser($userId, $newOnly, array $fetchOptions = array())
	{
	    $threadModel = $this->_getThreadModel();

	    $fetchOptions['join_waindigo'] = Waindigo_LastPostAvatar_Extend_XenForo_Model_Thread::FETCH_WAINDIGO_LASTPOST_AVATAR;

	    return parent::getThreadsWatchedByUser($userId, $newOnly, $fetchOptions);
	} /* END getThreadsWatchedByUser */
}